SIGILL crashes when running rawhide in qemu

Miloslav Trmac mitr at
Mon Jul 24 04:24:42 UTC 2006

binutils has recently started using a new way to implement .align when
the target is >= i686, using instructions unsupported by qemu.  So if
you encounter yum crashing with SIGILL in qemu, replace openssl.i686 by
openssl.i386 (this is a bit tricky because rpm depends on openssl).

Other packages might be affected as well, all utilites in procps seem to
be crashing similarly...

More information about the test mailing list